Name:           ros-kinetic-rospack
Version:        2.3.3
Release:        1%{?dist}
Summary:        ROS package rospack

License:        BSD
URL:            http://wiki.ros.org/rospack

Source0:        https://github.com/ros-gbp/rospack-release/archive/release/kinetic/rospack/2.3.3-0.tar.gz#/ros-kinetic-rospack-2.3.3-source0.tar.gz



BuildRequires:  boost-devel
BuildRequires:  gtest-devel
BuildRequires:  pkgconfig
BuildRequires:  python-coverage
BuildRequires:  python-devel
BuildRequires:  tinyxml-devel
BuildRequires:  ros-kinetic-catkin
BuildRequires:  ros-kinetic-cmake_modules

Requires:       boost-devel
Requires:       pkgconfig
Requires:       python-catkin_pkg
Requires:       python-devel
Requires:       python-rosdep
Requires:       tinyxml-devel

%description
ROS Package Tool


%prep

%setup -c -T
tar --strip-components=1 -xf %{SOURCE0}

%build
# nothing to do here


%install
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
FFLAGS="${FFLAGS:-%optflags%{?_fmoddir: -I%_fmoddir}}" ; export FFLAGS ; \
FCFLAGS="${FCFLAGS:-%optflags%{?_fmoddir: -I%_fmoddir}}" ; export FCFLAGS ; \
%{?__global_ldflags:LDFLAGS="${LDFLAGS:-%__global_ldflags}" ; export LDFLAGS ;} \


source %{_libdir}/ros/setup.bash

DESTDIR=%{buildroot} ; export DESTDIR

catkin_make_isolated \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  --source . \
  --install \
  --install-space %{_libdir}/ros/ \
  --pkg rospack

rm -rf %{buildroot}/%{_libdir}/ros/{.catkin,.rosinstall,_setup*,setup*,env.sh}

find %{buildroot}/%{_libdir}/ros/{bin,etc,include,lib/pkgconfig,lib64/python*,lib/python*/site-packages,share} \
  -mindepth 1 -maxdepth 1 | sed "s:%{buildroot}/::" > files.list
find %{buildroot}/%{_libdir}/ros/lib/ -mindepth 1 -maxdepth 1 \
  ! -name pkgconfig ! -name "python*" \
  | sed "s:%{buildroot}/::" >> files.list


find . -maxdepth 1 -type f -iname "*readme*" | sed "s:^:%%doc :" >> files.list
find . -maxdepth 1 -type f -iname "*license*" | sed "s:^:%%license :" >> files.list

%files -f files.list



%changelog
* Sat Aug 12 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.3.3-1
- Update auto-generated Spec file
* Sat Aug 12 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.3.3-1
- Update auto-generated Spec file
* Sat Aug 12 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.3.3-1
- Update auto-generated Spec file
* Sat Aug 12 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.3.3-1
- Update auto-generated Spec file
* Fri Aug 11 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.3.3-1
- Update auto-generated Spec file
* Fri Aug 11 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.3.3-1
- Update auto-generated Spec file
* Fri Aug 11 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.3.3-1
- Update auto-generated Spec file
* Fri Aug 11 2017 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.3.3-1
- Update auto-generated Spec file
